Name:       sane-frontends
Version:    1.0.14
Release:    32
Summary:    These SANE applications (frontends)

License: GPLv2+
URL: http://www.sane-project.org
Source0: https://gitlab.com/sane-project/frontends/uploads/14e5c5a9205b10bd3df04501852eab28/%{name}-%{version}.tar.gz
Patch0: sane-frontends-1.0.14-array-out-of-bounds.patch
Patch1: sane-frontends-1.0.14-sane-backends-1.0.20.patch
Patch2: sane-frontends-1.0.14-update-to-current-lprng-plp_snprintf.patch

BuildRequires: gcc gtk2-devel sane-backends-devel >= 1.0.19-15

%description
These SANE applications (frontends) are included in this package (together with \
their documentation).

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-gnu-ld
%make_build

%install
%make_install

rm -f %{buildroot}%{_bindir}/xscanimage
rm -f %{buildroot}%{_mandir}/man1/xscanimage*
rm -f %{buildroot}%{_datadir}/sane/sane-style.rc

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_bindir}/*

%files help
%defattr(-,root,root)
%doc README Changelog NEWS PROBLEMS
%{_mandir}/man1/*

%changelog
* Fri Feb 14 2020 Senlin Xia <xiasenlin1@huawei.com> - 1.0.14-32
- Package init
